## UDisksDriveAta UDisksDriveAta — Generated C code for the org.freedesktop.UDisks2.Drive.Ata D-Bus interface |

## Functions

GDBusInterfaceInfo * | udisks_drive_ata_interface_info ()
guint | udisks_drive_ata_override_properties ()
void | udisks_drive_ata_call_smart_update ()
gboolean | udisks_drive_ata_call_smart_update_finish ()
gboolean | udisks_drive_ata_call_smart_update_sync ()
void | udisks_drive_ata_complete_smart_update ()
void | udisks_drive_ata_call_smart_get_attributes ()
gboolean | udisks_drive_ata_call_smart_get_attributes_finish ()
gboolean | udisks_drive_ata_call_smart_get_attributes_sync ()
void | udisks_drive_ata_complete_smart_get_attributes ()
void | udisks_drive_ata_call_smart_selftest_abort ()
gboolean | udisks_drive_ata_call_smart_selftest_abort_finish ()
gboolean | udisks_drive_ata_call_smart_selftest_abort_sync ()
void | udisks_drive_ata_complete_smart_selftest_abort ()
void | udisks_drive_ata_call_smart_selftest_start ()
gboolean | udisks_drive_ata_call_smart_selftest_start_finish ()
gboolean | udisks_drive_ata_call_smart_selftest_start_sync ()
void | udisks_drive_ata_complete_smart_selftest_start ()
void | udisks_drive_ata_call_smart_set_enabled ()
gboolean | udisks_drive_ata_call_smart_set_enabled_finish ()
gboolean | udisks_drive_ata_call_smart_set_enabled_sync ()
void | udisks_drive_ata_complete_smart_set_enabled ()
void | udisks_drive_ata_call_pm_get_state ()
gboolean | udisks_drive_ata_call_pm_get_state_finish ()
gboolean | udisks_drive_ata_call_pm_get_state_sync ()
void | udisks_drive_ata_complete_pm_get_state ()
void | udisks_drive_ata_call_pm_standby ()
gboolean | udisks_drive_ata_call_pm_standby_finish ()
gboolean | udisks_drive_ata_call_pm_standby_sync ()
void | udisks_drive_ata_complete_pm_standby ()
void | udisks_drive_ata_call_pm_wakeup ()
gboolean | udisks_drive_ata_call_pm_wakeup_finish ()
gboolean | udisks_drive_ata_call_pm_wakeup_sync ()
void | udisks_drive_ata_complete_pm_wakeup ()
void | udisks_drive_ata_call_security_erase_unit ()
gboolean | udisks_drive_ata_call_security_erase_unit_finish ()
gboolean | udisks_drive_ata_call_security_erase_unit_sync ()
void | udisks_drive_ata_complete_security_erase_unit ()
gboolean | udisks_drive_ata_get_smart_supported ()
gboolean | udisks_drive_ata_get_smart_enabled ()
guint64 | udisks_drive_ata_get_smart_updated ()
gboolean | udisks_drive_ata_get_smart_failing ()
gdouble | udisks_drive_ata_get_smart_temperature ()
guint64 | udisks_drive_ata_get_smart_power_on_seconds ()
gint | udisks_drive_ata_get_smart_num_attributes_failed_in_the_past ()
gint | udisks_drive_ata_get_smart_num_attributes_failing ()
gint64 | udisks_drive_ata_get_smart_num_bad_sectors ()
gint | udisks_drive_ata_get_smart_selftest_percent_remaining ()
const gchar * | udisks_drive_ata_get_smart_selftest_status ()
gchar * | udisks_drive_ata_dup_smart_selftest_status ()
gboolean | udisks_drive_ata_get_aam_enabled ()
gboolean | udisks_drive_ata_get_aam_supported ()
gint | udisks_drive_ata_get_aam_vendor_recommended_value ()
gboolean | udisks_drive_ata_get_apm_enabled ()
gboolean | udisks_drive_ata_get_apm_supported ()
gboolean | udisks_drive_ata_get_pm_enabled ()
gboolean | udisks_drive_ata_get_pm_supported ()
gboolean | udisks_drive_ata_get_write_cache_enabled ()
gboolean | udisks_drive_ata_get_write_cache_supported ()
gboolean | udisks_drive_ata_get_read_lookahead_enabled ()
gboolean | udisks_drive_ata_get_read_lookahead_supported ()
gint | udisks_drive_ata_get_security_enhanced_erase_unit_minutes ()
gint | udisks_drive_ata_get_security_erase_unit_minutes ()
gboolean | udisks_drive_ata_get_security_frozen ()
void | udisks_drive_ata_set_smart_supported ()
void | udisks_drive_ata_set_smart_enabled ()
void | udisks_drive_ata_set_smart_updated ()
void | udisks_drive_ata_set_smart_failing ()
void | udisks_drive_ata_set_smart_temperature ()
void | udisks_drive_ata_set_smart_power_on_seconds ()
void | udisks_drive_ata_set_smart_num_attributes_failed_in_the_past ()
void | udisks_drive_ata_set_smart_num_attributes_failing ()
void | udisks_drive_ata_set_smart_num_bad_sectors ()
void | udisks_drive_ata_set_smart_selftest_percent_remaining ()
void | udisks_drive_ata_set_smart_selftest_status ()
void | udisks_drive_ata_set_aam_enabled ()
void | udisks_drive_ata_set_aam_supported ()
void | udisks_drive_ata_set_aam_vendor_recommended_value ()
void | udisks_drive_ata_set_apm_enabled ()
void | udisks_drive_ata_set_apm_supported ()
void | udisks_drive_ata_set_pm_enabled ()
void | udisks_drive_ata_set_pm_supported ()
void | udisks_drive_ata_set_write_cache_enabled ()
void | udisks_drive_ata_set_write_cache_supported ()
void | udisks_drive_ata_set_read_lookahead_enabled ()
void | udisks_drive_ata_set_read_lookahead_supported ()
void | udisks_drive_ata_set_security_enhanced_erase_unit_minutes ()
void | udisks_drive_ata_set_security_erase_unit_minutes ()
void | udisks_drive_ata_set_security_frozen ()
void | udisks_drive_ata_proxy_new ()
UDisksDriveAta * | udisks_drive_ata_proxy_new_finish ()
UDisksDriveAta * | udisks_drive_ata_proxy_new_sync ()
void | udisks_drive_ata_proxy_new_for_bus ()
UDisksDriveAta * | udisks_drive_ata_proxy_new_for_bus_finish ()
UDisksDriveAta * | udisks_drive_ata_proxy_new_for_bus_sync ()
UDisksDriveAta * | udisks_drive_ata_skeleton_new ()

## Properties

gboolean | aam-enabled | Read / Write
gboolean | aam-supported | Read / Write
int | aam-vendor-recommended-value | Read / Write
gboolean | apm-enabled | Read / Write
gboolean | apm-supported | Read / Write
gboolean | pm-enabled | Read / Write
gboolean | pm-supported | Read / Write
gboolean | read-lookahead-enabled | Read / Write
gboolean | read-lookahead-supported | Read / Write
int | security-enhanced-erase-unit-minutes | Read / Write
int | security-erase-unit-minutes | Read / Write
gboolean | security-frozen | Read / Write
gboolean | smart-enabled | Read / Write
gboolean | smart-failing | Read / Write
int | smart-num-attributes-failed-in-the-past | Read / Write
int | smart-num-attributes-failing | Read / Write
gint64 | smart-num-bad-sectors | Read / Write
guint64 | smart-power-on-seconds | Read / Write
int | smart-selftest-percent-remaining | Read / Write
char * | smart-selftest-status | Read / Write
gboolean | smart-supported | Read / Write
double | smart-temperature | Read / Write
guint64 | smart-updated | Read / Write
gboolean | write-cache-enabled | Read / Write
gboolean | write-cache-supported | Read / Write

## Signals

gboolean | handle-pm-get-state | Run Last
gboolean | handle-pm-standby | Run Last
gboolean | handle-pm-wakeup | Run Last
gboolean | handle-security-erase-unit | Run Last
gboolean | handle-smart-get-attributes | Run Last
gboolean | handle-smart-selftest-abort | Run Last
gboolean | handle-smart-selftest-start | Run Last
gboolean | handle-smart-set-enabled | Run Last
gboolean | handle-smart-update | Run Last

## Types and Values

| UDisksDriveAta
struct | UDisksDriveAtaIface
struct | UDisksDriveAtaProxy
struct | UDisksDriveAtaProxyClass
struct | UDisksDriveAtaSkeleton
struct | UDisksDriveAtaSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksDriveAta
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksDriveAtaSkeleton
        │       ╰── UDisksLinuxDriveAta
        ╰── GDBusProxy
            ╰── UDisksDriveAtaProxy

## Prerequisites

UDisksDriveAta requires GObject.

## Implemented Interfaces

UDisksDriveAtaProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksDriveAta.

UDisksDriveAtaSkeleton implements GDBusInterface and UDisksDriveAta.

## Known Implementations

UDisksDriveAta is implemented by UDisksDriveAtaProxy, UDisksDriveAtaSkeleton and UDisksLinuxDriveAta.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Drive.Ata D-Bus interface in C.

## Functions

### udisks_drive_ata_interface_info ()

    GDBusInterfaceInfo *
    udisks_drive_ata_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Drive.Ata D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_drive_ata_override_properties ()

    guint
    udisks_drive_ata_override_properties (GObjectClass *klass,
                                          guint property_id_begin);

Overrides all GObject properties in the UDisksDriveAta interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_drive_ata_call_smart_update ()

    void
    udisks_drive_ata_call_smart_update (UDisksDriveAta *proxy,
                                        GVariant *arg_options,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously invokes the `SmartUpdate()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_ata_call_smart_update_finish()` to get the result of the operation.

See `udisks_drive_ata_call_smart_update_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_drive_ata_call_smart_update_finish ()

    gboolean
    udisks_drive_ata_call_smart_update_finish
                                   (UDisksDriveAta *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_ata_call_smart_update()`.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_ata_call_smart_update()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_call_smart_update_sync ()

    gboolean
    udisks_drive_ata_call_smart_update_sync
                                   (UDisksDriveAta *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SmartUpdate()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_ata_call_smart_update()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_complete_smart_update ()

    void
    udisks_drive_ata_complete_smart_update
                                   (UDisksDriveAta *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SmartUpdate()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_drive_ata_call_smart_get_attributes ()

    void
    udisks_drive_ata_call_smart_get_attributes
                                   (UDisksDriveAta *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SmartGetAttributes()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_ata_call_smart_get_attributes_finish()` to get the result of the operation.

See `udisks_drive_ata_call_smart_get_attributes_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_drive_ata_call_smart_get_attributes_finish ()

    gboolean
    udisks_drive_ata_call_smart_get_attributes_finish
                                   (UDisksDriveAta *proxy,
                                    GVariant **out_attributes,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_ata_call_smart_get_attributes()`.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
out_attributes | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_ata_call_smart_get_attributes()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_call_smart_get_attributes_sync ()

    gboolean
    udisks_drive_ata_call_smart_get_attributes_sync
                                   (UDisksDriveAta *proxy,
                                    GVariant *arg_options,
                                    GVariant **out_attributes,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SmartGetAttributes()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_ata_call_smart_get_attributes()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
out_attributes | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_complete_smart_get_attributes ()

    void
    udisks_drive_ata_complete_smart_get_attributes
                                   (UDisksDriveAta *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *attributes);

Helper function used in service implementations to finish handling invocations of the `SmartGetAttributes()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. | [transfer full]
attributes | Parameter to return. |

### udisks_drive_ata_call_smart_selftest_abort ()

    void
    udisks_drive_ata_call_smart_selftest_abort
                                   (UDisksDriveAta *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SmartSelftestAbort()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_ata_call_smart_selftest_abort_finish()` to get the result of the operation.

See `udisks_drive_ata_call_smart_selftest_abort_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_drive_ata_call_smart_selftest_abort_finish ()

    gboolean
    udisks_drive_ata_call_smart_selftest_abort_finish
                                   (UDisksDriveAta *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_ata_call_smart_selftest_abort()`.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_ata_call_smart_selftest_abort()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_call_smart_selftest_abort_sync ()

    gboolean
    udisks_drive_ata_call_smart_selftest_abort_sync
                                   (UDisksDriveAta *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SmartSelftestAbort()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_ata_call_smart_selftest_abort()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_complete_smart_selftest_abort ()

    void
    udisks_drive_ata_complete_smart_selftest_abort
                                   (UDisksDriveAta *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SmartSelftestAbort()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_drive_ata_call_smart_selftest_start ()

    void
    udisks_drive_ata_call_smart_selftest_start
                                   (UDisksDriveAta *proxy,
                                    const gchar *arg_type,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SmartSelftestStart()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_ata_call_smart_selftest_start_finish()` to get the result of the operation.

See `udisks_drive_ata_call_smart_selftest_start_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_type | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_drive_ata_call_smart_selftest_start_finish ()

    gboolean
    udisks_drive_ata_call_smart_selftest_start_finish
                                   (UDisksDriveAta *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_ata_call_smart_selftest_start()`.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_ata_call_smart_selftest_start()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_call_smart_selftest_start_sync ()

    gboolean
    udisks_drive_ata_call_smart_selftest_start_sync
                                   (UDisksDriveAta *proxy,
                                    const gchar *arg_type,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SmartSelftestStart()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_ata_call_smart_selftest_start()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_type | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_complete_smart_selftest_start ()

    void
    udisks_drive_ata_complete_smart_selftest_start
                                   (UDisksDriveAta *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SmartSelftestStart()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_drive_ata_call_smart_set_enabled ()

    void
    udisks_drive_ata_call_smart_set_enabled
                                   (UDisksDriveAta *proxy,
                                    gboolean arg_value,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SmartSetEnabled()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_ata_call_smart_set_enabled_finish()` to get the result of the operation.

See `udisks_drive_ata_call_smart_set_enabled_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_value | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_drive_ata_call_smart_set_enabled_finish ()

    gboolean
    udisks_drive_ata_call_smart_set_enabled_finish
                                   (UDisksDriveAta *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_ata_call_smart_set_enabled()`.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_ata_call_smart_set_enabled()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_drive_ata_call_smart_set_enabled_sync ()

    gboolean
    udisks_drive_ata_call_smart_set_enabled_sync
                                   (UDisksDriveAta *proxy,
                                    gboolean arg_value,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SmartSetEnabled()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_ata_call_smart_set_enabled()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_value | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_drive_ata_complete_smart_set_enabled ()

    void
    udisks_drive_ata_complete_smart_set_enabled
                                   (UDisksDriveAta *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SmartSetEnabled()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.0.0

### udisks_drive_ata_call_pm_get_state ()

    void
    udisks_drive_ata_call_pm_get_state (UDisksDriveAta *proxy,
                                        GVariant *arg_options,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously invokes the `PmGetState()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_ata_call_pm_get_state_finish()` to get the result of the operation.

See `udisks_drive_ata_call_pm_get_state_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_drive_ata_call_pm_get_state_finish ()

    gboolean
    udisks_drive_ata_call_pm_get_state_finish
                                   (UDisksDriveAta *proxy,
                                    guchar *out_state,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_ata_call_pm_get_state()`.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
out_state | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_ata_call_pm_get_state()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_call_pm_get_state_sync ()

    gboolean
    udisks_drive_ata_call_pm_get_state_sync
                                   (UDisksDriveAta *proxy,
                                    GVariant *arg_options,
                                    guchar *out_state,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `PmGetState()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_ata_call_pm_get_state()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
out_state | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_complete_pm_get_state ()

    void
    udisks_drive_ata_complete_pm_get_state
                                   (UDisksDriveAta *object,
                                    GDBusMethodInvocation *invocation,
                                    guchar state);

Helper function used in service implementations to finish handling invocations of the `PmGetState()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. | [transfer full]
state | Parameter to return. |

### udisks_drive_ata_call_pm_standby ()

    void
    udisks_drive_ata_call_pm_standby (UDisksDriveAta *proxy,
                                      GVariant *arg_options,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously invokes the `PmStandby()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_ata_call_pm_standby_finish()` to get the result of the operation.

See `udisks_drive_ata_call_pm_standby_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_drive_ata_call_pm_standby_finish ()

    gboolean
    udisks_drive_ata_call_pm_standby_finish
                                   (UDisksDriveAta *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_ata_call_pm_standby()`.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_ata_call_pm_standby()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_call_pm_standby_sync ()

    gboolean
    udisks_drive_ata_call_pm_standby_sync (UDisksDriveAta *proxy,
                                           GVariant *arg_options,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously invokes the `PmStandby()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_ata_call_pm_standby()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_complete_pm_standby ()

    void
    udisks_drive_ata_complete_pm_standby (UDisksDriveAta *object,
                                          GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `PmStandby()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_drive_ata_call_pm_wakeup ()

    void
    udisks_drive_ata_call_pm_wakeup (UDisksDriveAta *proxy,
                                     GVariant *arg_options,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously invokes the `PmWakeup()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_ata_call_pm_wakeup_finish()` to get the result of the operation.

See `udisks_drive_ata_call_pm_wakeup_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_drive_ata_call_pm_wakeup_finish ()

    gboolean
    udisks_drive_ata_call_pm_wakeup_finish
                                   (UDisksDriveAta *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_ata_call_pm_wakeup()`.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_ata_call_pm_wakeup()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_call_pm_wakeup_sync ()

    gboolean
    udisks_drive_ata_call_pm_wakeup_sync (UDisksDriveAta *proxy,
                                          GVariant *arg_options,
                                          GCancellable *cancellable,
                                          GError **error);

Synchronously invokes the `PmWakeup()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_ata_call_pm_wakeup()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_complete_pm_wakeup ()

    void
    udisks_drive_ata_complete_pm_wakeup (UDisksDriveAta *object,
                                         GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `PmWakeup()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_drive_ata_call_security_erase_unit ()

    void
    udisks_drive_ata_call_security_erase_unit
                                   (UDisksDriveAta *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SecurityEraseUnit()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_ata_call_security_erase_unit_finish()` to get the result of the operation.

See `udisks_drive_ata_call_security_erase_unit_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_drive_ata_call_security_erase_unit_finish ()

    gboolean
    udisks_drive_ata_call_security_erase_unit_finish
                                   (UDisksDriveAta *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_ata_call_security_erase_unit()`.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_ata_call_security_erase_unit()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_call_security_erase_unit_sync ()

    gboolean
    udisks_drive_ata_call_security_erase_unit_sync
                                   (UDisksDriveAta *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SecurityEraseUnit()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_drive_ata_call_security_erase_unit()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksDriveAtaProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_drive_ata_complete_security_erase_unit ()

    void
    udisks_drive_ata_complete_security_erase_unit
                                   (UDisksDriveAta *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SecurityEraseUnit()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_drive_ata_get_smart_supported ()

    gboolean
    udisks_drive_ata_get_smart_supported (UDisksDriveAta *object);

Gets the value of the "SmartSupported" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_smart_enabled ()

    gboolean
    udisks_drive_ata_get_smart_enabled (UDisksDriveAta *object);

Gets the value of the "SmartEnabled" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_smart_updated ()

    guint64
    udisks_drive_ata_get_smart_updated (UDisksDriveAta *object);

Gets the value of the "SmartUpdated" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_smart_failing ()

    gboolean
    udisks_drive_ata_get_smart_failing (UDisksDriveAta *object);

Gets the value of the "SmartFailing" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_smart_temperature ()

    gdouble
    udisks_drive_ata_get_smart_temperature
                                   (UDisksDriveAta *object);

Gets the value of the "SmartTemperature" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_smart_power_on_seconds ()

    guint64
    udisks_drive_ata_get_smart_power_on_seconds
                                   (UDisksDriveAta *object);

Gets the value of the "SmartPowerOnSeconds" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_smart_num_attributes_failed_in_the_past ()

    gint
    udisks_drive_ata_get_smart_num_attributes_failed_in_the_past
                                   (UDisksDriveAta *object);

Gets the value of the "SmartNumAttributesFailedInThePast" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_smart_num_attributes_failing ()

    gint
    udisks_drive_ata_get_smart_num_attributes_failing
                                   (UDisksDriveAta *object);

Gets the value of the "SmartNumAttributesFailing" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_smart_num_bad_sectors ()

    gint64
    udisks_drive_ata_get_smart_num_bad_sectors
                                   (UDisksDriveAta *object);

Gets the value of the "SmartNumBadSectors" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_smart_selftest_percent_remaining ()

    gint
    udisks_drive_ata_get_smart_selftest_percent_remaining
                                   (UDisksDriveAta *object);

Gets the value of the "SmartSelftestPercentRemaining" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_smart_selftest_status ()

    const gchar *
    udisks_drive_ata_get_smart_selftest_status
                                   (UDisksDriveAta *object);

Gets the value of the "SmartSelftestStatus" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_drive_ata_dup_smart_selftest_status()` if on another thread.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_drive_ata_dup_smart_selftest_status ()

    gchar *
    udisks_drive_ata_dup_smart_selftest_status
                                   (UDisksDriveAta *object);

Gets a copy of the "SmartSelftestStatus" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_drive_ata_get_aam_enabled ()

    gboolean
    udisks_drive_ata_get_aam_enabled (UDisksDriveAta *object);

Gets the value of the "AamEnabled" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_aam_supported ()

    gboolean
    udisks_drive_ata_get_aam_supported (UDisksDriveAta *object);

Gets the value of the "AamSupported" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_aam_vendor_recommended_value ()

    gint
    udisks_drive_ata_get_aam_vendor_recommended_value
                                   (UDisksDriveAta *object);

Gets the value of the "AamVendorRecommendedValue" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_apm_enabled ()

    gboolean
    udisks_drive_ata_get_apm_enabled (UDisksDriveAta *object);

Gets the value of the "ApmEnabled" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_apm_supported ()

    gboolean
    udisks_drive_ata_get_apm_supported (UDisksDriveAta *object);

Gets the value of the "ApmSupported" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_pm_enabled ()

    gboolean
    udisks_drive_ata_get_pm_enabled (UDisksDriveAta *object);

Gets the value of the "PmEnabled" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_pm_supported ()

    gboolean
    udisks_drive_ata_get_pm_supported (UDisksDriveAta *object);

Gets the value of the "PmSupported" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_write_cache_enabled ()

    gboolean
    udisks_drive_ata_get_write_cache_enabled
                                   (UDisksDriveAta *object);

Gets the value of the "WriteCacheEnabled" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

Since: 2.0.0

### udisks_drive_ata_get_write_cache_supported ()

    gboolean
    udisks_drive_ata_get_write_cache_supported
                                   (UDisksDriveAta *object);

Gets the value of the "WriteCacheSupported" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

Since: 2.0.0

### udisks_drive_ata_get_read_lookahead_enabled ()

    gboolean
    udisks_drive_ata_get_read_lookahead_enabled
                                   (UDisksDriveAta *object);

Gets the value of the "ReadLookaheadEnabled" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

Since: 2.1.7

### udisks_drive_ata_get_read_lookahead_supported ()

    gboolean
    udisks_drive_ata_get_read_lookahead_supported
                                   (UDisksDriveAta *object);

Gets the value of the "ReadLookaheadSupported" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

Since: 2.1.7

### udisks_drive_ata_get_security_enhanced_erase_unit_minutes ()

    gint
    udisks_drive_ata_get_security_enhanced_erase_unit_minutes
                                   (UDisksDriveAta *object);

Gets the value of the "SecurityEnhancedEraseUnitMinutes" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_security_erase_unit_minutes ()

    gint
    udisks_drive_ata_get_security_erase_unit_minutes
                                   (UDisksDriveAta *object);

Gets the value of the "SecurityEraseUnitMinutes" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_get_security_frozen ()

    gboolean
    udisks_drive_ata_get_security_frozen (UDisksDriveAta *object);

Gets the value of the "SecurityFrozen" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |

#### Returns

The property value.

### udisks_drive_ata_set_smart_supported ()

    void
    udisks_drive_ata_set_smart_supported (UDisksDriveAta *object,
                                          gboolean value);

Sets the "SmartSupported" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_smart_enabled ()

    void
    udisks_drive_ata_set_smart_enabled (UDisksDriveAta *object,
                                        gboolean value);

Sets the "SmartEnabled" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_smart_updated ()

    void
    udisks_drive_ata_set_smart_updated (UDisksDriveAta *object,
                                        guint64 value);

Sets the "SmartUpdated" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_smart_failing ()

    void
    udisks_drive_ata_set_smart_failing (UDisksDriveAta *object,
                                        gboolean value);

Sets the "SmartFailing" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_smart_temperature ()

    void
    udisks_drive_ata_set_smart_temperature
                                   (UDisksDriveAta *object,
                                    gdouble value);

Sets the "SmartTemperature" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_smart_power_on_seconds ()

    void
    udisks_drive_ata_set_smart_power_on_seconds
                                   (UDisksDriveAta *object,
                                    guint64 value);

Sets the "SmartPowerOnSeconds" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_smart_num_attributes_failed_in_the_past ()

    void
    udisks_drive_ata_set_smart_num_attributes_failed_in_the_past
                                   (UDisksDriveAta *object,
                                    gint value);

Sets the "SmartNumAttributesFailedInThePast" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_smart_num_attributes_failing ()

    void
    udisks_drive_ata_set_smart_num_attributes_failing
                                   (UDisksDriveAta *object,
                                    gint value);

Sets the "SmartNumAttributesFailing" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_smart_num_bad_sectors ()

    void
    udisks_drive_ata_set_smart_num_bad_sectors
                                   (UDisksDriveAta *object,
                                    gint64 value);

Sets the "SmartNumBadSectors" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_smart_selftest_percent_remaining ()

    void
    udisks_drive_ata_set_smart_selftest_percent_remaining
                                   (UDisksDriveAta *object,
                                    gint value);

Sets the "SmartSelftestPercentRemaining" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_smart_selftest_status ()

    void
    udisks_drive_ata_set_smart_selftest_status
                                   (UDisksDriveAta *object,
                                    const gchar *value);

Sets the "SmartSelftestStatus" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_aam_enabled ()

    void
    udisks_drive_ata_set_aam_enabled (UDisksDriveAta *object,
                                      gboolean value);

Sets the "AamEnabled" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_aam_supported ()

    void
    udisks_drive_ata_set_aam_supported (UDisksDriveAta *object,
                                        gboolean value);

Sets the "AamSupported" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_aam_vendor_recommended_value ()

    void
    udisks_drive_ata_set_aam_vendor_recommended_value
                                   (UDisksDriveAta *object,
                                    gint value);

Sets the "AamVendorRecommendedValue" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_apm_enabled ()

    void
    udisks_drive_ata_set_apm_enabled (UDisksDriveAta *object,
                                      gboolean value);

Sets the "ApmEnabled" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_apm_supported ()

    void
    udisks_drive_ata_set_apm_supported (UDisksDriveAta *object,
                                        gboolean value);

Sets the "ApmSupported" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_pm_enabled ()

    void
    udisks_drive_ata_set_pm_enabled (UDisksDriveAta *object,
                                     gboolean value);

Sets the "PmEnabled" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_pm_supported ()

    void
    udisks_drive_ata_set_pm_supported (UDisksDriveAta *object,
                                       gboolean value);

Sets the "PmSupported" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_write_cache_enabled ()

    void
    udisks_drive_ata_set_write_cache_enabled
                                   (UDisksDriveAta *object,
                                    gboolean value);

Sets the "WriteCacheEnabled" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

Since: 2.0.0

### udisks_drive_ata_set_write_cache_supported ()

    void
    udisks_drive_ata_set_write_cache_supported
                                   (UDisksDriveAta *object,
                                    gboolean value);

Sets the "WriteCacheSupported" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

Since: 2.0.0

### udisks_drive_ata_set_read_lookahead_enabled ()

    void
    udisks_drive_ata_set_read_lookahead_enabled
                                   (UDisksDriveAta *object,
                                    gboolean value);

Sets the "ReadLookaheadEnabled" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

Since: 2.1.7

### udisks_drive_ata_set_read_lookahead_supported ()

    void
    udisks_drive_ata_set_read_lookahead_supported
                                   (UDisksDriveAta *object,
                                    gboolean value);

Sets the "ReadLookaheadSupported" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

Since: 2.1.7

### udisks_drive_ata_set_security_enhanced_erase_unit_minutes ()

    void
    udisks_drive_ata_set_security_enhanced_erase_unit_minutes
                                   (UDisksDriveAta *object,
                                    gint value);

Sets the "SecurityEnhancedEraseUnitMinutes" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_security_erase_unit_minutes ()

    void
    udisks_drive_ata_set_security_erase_unit_minutes
                                   (UDisksDriveAta *object,
                                    gint value);

Sets the "SecurityEraseUnitMinutes" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_set_security_frozen ()

    void
    udisks_drive_ata_set_security_frozen (UDisksDriveAta *object,
                                          gboolean value);

Sets the "SecurityFrozen" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveAta. |
value | The value to set. |

### udisks_drive_ata_proxy_new ()

    void
    udisks_drive_ata_proxy_new (GDBusConnection *connection,
                                GDBusProxyFlags flags,
                                const gchar *name,
                                const gchar *object_path,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Drive.Ata. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_ata_proxy_new_finish()` to get the result of the operation.

See `udisks_drive_ata_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_drive_ata_proxy_new_finish ()

    UDisksDriveAta *
    udisks_drive_ata_proxy_new_finish (GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `udisks_drive_ata_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_ata_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveAtaProxy]

### udisks_drive_ata_proxy_new_sync ()

    UDisksDriveAta *
    udisks_drive_ata_proxy_new_sync (GDBusConnection *connection,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Drive.Ata. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_drive_ata_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveAtaProxy]

### udisks_drive_ata_proxy_new_for_bus ()

    void
    udisks_drive_ata_proxy_new_for_bus (GBusType bus_type,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Like `udisks_drive_ata_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_ata_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_drive_ata_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_drive_ata_proxy_new_for_bus_finish ()

    UDisksDriveAta *
    udisks_drive_ata_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_ata_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_ata_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveAtaProxy]

### udisks_drive_ata_proxy_new_for_bus_sync ()

    UDisksDriveAta *
    udisks_drive_ata_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_drive_ata_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_drive_ata_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveAtaProxy]

### udisks_drive_ata_skeleton_new ()

    UDisksDriveAta *
    udisks_drive_ata_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Drive.Ata.

#### Returns

The skeleton object.

[transfer full][type UDisksDriveAtaSkeleton]

## Types and Values

### UDisksDriveAta

    typedef struct _UDisksDriveAta UDisksDriveAta;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Drive.Ata.

### struct UDisksDriveAtaIface

    struct UDisksDriveAtaIface {
      GTypeInterface parent_iface;

      gboolean (*handle_pm_get_state) (
        UDisksDriveAta *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_pm_standby) (
        UDisksDriveAta *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_pm_wakeup) (
        UDisksDriveAta *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_security_erase_unit) (
        UDisksDriveAta *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_smart_get_attributes) (
        UDisksDriveAta *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_smart_selftest_abort) (
        UDisksDriveAta *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_smart_selftest_start) (
        UDisksDriveAta *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_type,
        GVariant *arg_options);

      gboolean (*handle_smart_update) (
        UDisksDriveAta *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean  (*get_aam_enabled) (UDisksDriveAta *object);

      gboolean  (*get_aam_supported) (UDisksDriveAta *object);

      gint  (*get_aam_vendor_recommended_value) (UDisksDriveAta *object);

      gboolean  (*get_apm_enabled) (UDisksDriveAta *object);

      gboolean  (*get_apm_supported) (UDisksDriveAta *object);

      gboolean  (*get_pm_enabled) (UDisksDriveAta *object);

      gboolean  (*get_pm_supported) (UDisksDriveAta *object);

      gint  (*get_security_enhanced_erase_unit_minutes) (UDisksDriveAta *object);

      gint  (*get_security_erase_unit_minutes) (UDisksDriveAta *object);

      gboolean  (*get_security_frozen) (UDisksDriveAta *object);

      gboolean  (*get_smart_enabled) (UDisksDriveAta *object);

      gboolean  (*get_smart_failing) (UDisksDriveAta *object);

      gint  (*get_smart_num_attributes_failed_in_the_past) (UDisksDriveAta *object);

      gint  (*get_smart_num_attributes_failing) (UDisksDriveAta *object);

      gint64  (*get_smart_num_bad_sectors) (UDisksDriveAta *object);

      guint64  (*get_smart_power_on_seconds) (UDisksDriveAta *object);

      gint  (*get_smart_selftest_percent_remaining) (UDisksDriveAta *object);

      const gchar * (*get_smart_selftest_status) (UDisksDriveAta *object);

      gboolean  (*get_smart_supported) (UDisksDriveAta *object);

      gdouble  (*get_smart_temperature) (UDisksDriveAta *object);

      guint64  (*get_smart_updated) (UDisksDriveAta *object);

      gboolean (*handle_smart_set_enabled) (
        UDisksDriveAta *object,
        GDBusMethodInvocation *invocation,
        gboolean arg_value,
        GVariant *arg_options);

      gboolean  (*get_write_cache_enabled) (UDisksDriveAta *object);

      gboolean  (*get_write_cache_supported) (UDisksDriveAta *object);

      gboolean  (*get_read_lookahead_enabled) (UDisksDriveAta *object);

      gboolean  (*get_read_lookahead_supported) (UDisksDriveAta *object);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Drive.Ata.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_pm_get_state` () | Handler for the “handle-pm-get-state” signal. |
`handle_pm_standby` () | Handler for the “handle-pm-standby” signal. |
`handle_pm_wakeup` () | Handler for the “handle-pm-wakeup” signal. |
`handle_security_erase_unit` () | Handler for the “handle-security-erase-unit” signal. |
`handle_smart_get_attributes` () | Handler for the “handle-smart-get-attributes” signal. |
`handle_smart_selftest_abort` () | Handler for the “handle-smart-selftest-abort” signal. |
`handle_smart_selftest_start` () | Handler for the “handle-smart-selftest-start” signal. |
`handle_smart_update` () | Handler for the “handle-smart-update” signal. |
`get_aam_enabled` () | Getter for the “aam-enabled” property. |
`get_aam_supported` () | Getter for the “aam-supported” property. |
`get_aam_vendor_recommended_value` () | Getter for the “aam-vendor-recommended-value” property. |
`get_apm_enabled` () | Getter for the “apm-enabled” property. |
`get_apm_supported` () | Getter for the “apm-supported” property. |
`get_pm_enabled` () | Getter for the “pm-enabled” property. |
`get_pm_supported` () | Getter for the “pm-supported” property. |
`get_security_enhanced_erase_unit_minutes` () | Getter for the “security-enhanced-erase-unit-minutes” property. |
`get_security_erase_unit_minutes` () | Getter for the “security-erase-unit-minutes” property. |
`get_security_frozen` () | Getter for the “security-frozen” property. |
`get_smart_enabled` () | Getter for the “smart-enabled” property. |
`get_smart_failing` () | Getter for the “smart-failing” property. |
`get_smart_num_attributes_failed_in_the_past` () | Getter for the “smart-num-attributes-failed-in-the-past” property. |
`get_smart_num_attributes_failing` () | Getter for the “smart-num-attributes-failing” property. |
`get_smart_num_bad_sectors` () | Getter for the “smart-num-bad-sectors” property. |
`get_smart_power_on_seconds` () | Getter for the “smart-power-on-seconds” property. |
`get_smart_selftest_percent_remaining` () | Getter for the “smart-selftest-percent-remaining” property. |
`get_smart_selftest_status` () | Getter for the “smart-selftest-status” property. |
`get_smart_supported` () | Getter for the “smart-supported” property. |
`get_smart_temperature` () | Getter for the “smart-temperature” property. |
`get_smart_updated` () | Getter for the “smart-updated” property. |
`handle_smart_set_enabled` () | Handler for the “handle-smart-set-enabled” signal. |
`get_write_cache_enabled` () | Getter for the “write-cache-enabled” property. |
`get_write_cache_supported` () | Getter for the “write-cache-supported” property. |
`get_read_lookahead_enabled` () | Getter for the “read-lookahead-enabled” property. |
`get_read_lookahead_supported` () | Getter for the “read-lookahead-supported” property. |

### struct UDisksDriveAtaProxy

    struct UDisksDriveAtaProxy;

The UDisksDriveAtaProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksDriveAtaProxyClass

    struct UDisksDriveAtaProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksDriveAtaProxy.

#### Members

### struct UDisksDriveAtaSkeleton

    struct UDisksDriveAtaSkeleton;

The UDisksDriveAtaSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksDriveAtaSkeletonClass

    struct UDisksDriveAtaSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksDriveAtaSkeleton.

#### Members

## Property Details

### The `“aam-enabled”` property

      “aam-enabled”              gboolean

Represents the D-Bus property "AamEnabled".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

### The `“aam-supported”` property

      “aam-supported”            gboolean

Represents the D-Bus property "AamSupported".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

### The `“aam-vendor-recommended-value”` property

      “aam-vendor-recommended-value” int

Represents the D-Bus property "AamVendorRecommendedValue".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: 0

### The `“apm-enabled”` property

      “apm-enabled”              gboolean

Represents the D-Bus property "ApmEnabled".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

### The `“apm-supported”` property

      “apm-supported”            gboolean

Represents the D-Bus property "ApmSupported".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

### The `“pm-enabled”` property

      “pm-enabled”               gboolean

Represents the D-Bus property "PmEnabled".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

### The `“pm-supported”` property

      “pm-supported”             gboolean

Represents the D-Bus property "PmSupported".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

### The `“read-lookahead-enabled”` property

      “read-lookahead-enabled”   gboolean

Represents the D-Bus property "ReadLookaheadEnabled".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

Since: 2.1.7

### The `“read-lookahead-supported”` property

      “read-lookahead-supported” gboolean

Represents the D-Bus property "ReadLookaheadSupported".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

Since: 2.1.7

### The `“security-enhanced-erase-unit-minutes”` property

      “security-enhanced-erase-unit-minutes” int

Represents the D-Bus property "SecurityEnhancedEraseUnitMinutes".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: 0

### The `“security-erase-unit-minutes”` property

      “security-erase-unit-minutes” int

Represents the D-Bus property "SecurityEraseUnitMinutes".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: 0

### The `“security-frozen”` property

      “security-frozen”          gboolean

Represents the D-Bus property "SecurityFrozen".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

### The `“smart-enabled”` property

      “smart-enabled”            gboolean

Represents the D-Bus property "SmartEnabled".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

### The `“smart-failing”` property

      “smart-failing”            gboolean

Represents the D-Bus property "SmartFailing".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

### The `“smart-num-attributes-failed-in-the-past”` property

      “smart-num-attributes-failed-in-the-past” int

Represents the D-Bus property "SmartNumAttributesFailedInThePast".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: 0

### The `“smart-num-attributes-failing”` property

      “smart-num-attributes-failing” int

Represents the D-Bus property "SmartNumAttributesFailing".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: 0

### The `“smart-num-bad-sectors”` property

      “smart-num-bad-sectors”    gint64

Represents the D-Bus property "SmartNumBadSectors".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: 0

### The `“smart-power-on-seconds”` property

      “smart-power-on-seconds”   guint64

Represents the D-Bus property "SmartPowerOnSeconds".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: 0

### The `“smart-selftest-percent-remaining”` property

      “smart-selftest-percent-remaining” int

Represents the D-Bus property "SmartSelftestPercentRemaining".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: 0

### The `“smart-selftest-status”` property

      “smart-selftest-status”    char *

Represents the D-Bus property "SmartSelftestStatus".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: NULL

### The `“smart-supported”` property

      “smart-supported”          gboolean

Represents the D-Bus property "SmartSupported".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

### The `“smart-temperature”` property

      “smart-temperature”        double

Represents the D-Bus property "SmartTemperature".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: 0

### The `“smart-updated”` property

      “smart-updated”            guint64

Represents the D-Bus property "SmartUpdated".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: 0

### The `“write-cache-enabled”` property

      “write-cache-enabled”      gboolean

Represents the D-Bus property "WriteCacheEnabled".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

Since: 2.0.0

### The `“write-cache-supported”` property

      “write-cache-supported”    gboolean

Represents the D-Bus property "WriteCacheSupported".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksDriveAta

Flags: Read / Write

Default value: FALSE

Since: 2.0.0

## Signal Details

### The `“handle-pm-get-state”` signal

    gboolean
    user_function (UDisksDriveAta        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `PmGetState()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_drive_ata_complete_pm_get_state()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-pm-standby”` signal

    gboolean
    user_function (UDisksDriveAta        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `PmStandby()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_drive_ata_complete_pm_standby()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-pm-wakeup”` signal

    gboolean
    user_function (UDisksDriveAta        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `PmWakeup()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_drive_ata_complete_pm_wakeup()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-security-erase-unit”` signal

    gboolean
    user_function (UDisksDriveAta        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SecurityEraseUnit()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_drive_ata_complete_security_erase_unit()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-smart-get-attributes”` signal

    gboolean
    user_function (UDisksDriveAta        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SmartGetAttributes()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_drive_ata_complete_smart_get_attributes()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-smart-selftest-abort”` signal

    gboolean
    user_function (UDisksDriveAta        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SmartSelftestAbort()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_drive_ata_complete_smart_selftest_abort()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-smart-selftest-start”` signal

    gboolean
    user_function (UDisksDriveAta        *object,
                   GDBusMethodInvocation *invocation,
                   char                  *arg_type,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SmartSelftestStart()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_drive_ata_complete_smart_selftest_start()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. |
arg_type | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-smart-set-enabled”` signal

    gboolean
    user_function (UDisksDriveAta        *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_value,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SmartSetEnabled()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_drive_ata_complete_smart_set_enabled()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. |
arg_value | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.0.0

### The `“handle-smart-update”` signal

    gboolean
    user_function (UDisksDriveAta        *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SmartUpdate()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_drive_ata_complete_smart_update()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksDriveAta. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last